Package org.globus.net

# Class DatagramSocketFactory

java.lang.Object
org.globus.net.DatagramSocketFactory

public class DatagramSocketFactory extends Object
This factory allows for creating datagram sockets. If the udp.source.port.range system property is set it will create datagram sockets within the specified local port range (if the local port number is set to 0).

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DatagramSocketFactory()`

## Method Summary

Modifier and Type
Method
Description
`DatagramSocket`
`createDatagramSocket()`
`DatagramSocket`
`createDatagramSocket(int port)`
`DatagramSocket`
`createDatagramSocket(int port, InetAddress localAddr)`
`static DatagramSocketFactory`
`getDefault()`
Returns the default instance of this class.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DatagramSocketFactory

protected DatagramSocketFactory()

## Method Details

### getDefault

public static DatagramSocketFactory getDefault()
Returns the default instance of this class.

Returns:
  DatagramSocketFactory instance of this class.

### createDatagramSocket

public DatagramSocket createDatagramSocket() throws IOException

Throws:
  `IOException`

### createDatagramSocket

public DatagramSocket createDatagramSocket(int port) throws IOException

Throws:
  `IOException`

### createDatagramSocket

public DatagramSocket createDatagramSocket(int port, InetAddress localAddr) throws IOException

Throws:
  `IOException`